package com.ruoyi.system.mapper.fgw;

import com.ruoyi.system.domain.fgw.FgwJzqk;

import java.util.List;

/**
 * 发改委_进展情况Mapper接口
 * 
 * @author boman
 * @date 2023-03-22
 */
public interface FgwJzqkMapper 
{
    /**
     * 查询发改委_进展情况
     * 
     * @param id 发改委_进展情况主键
     * @return 发改委_进展情况
     */
    public FgwJzqk selectFgwJzqkById(Long id);

    /**
     * 查询发改委_进展情况列表
     * 
     * @param fgwJzqk 发改委_进展情况
     * @return 发改委_进展情况集合
     */
    public List<FgwJzqk> selectFgwJzqkList(FgwJzqk fgwJzqk);
    public List<FgwJzqk> selectFgwJzqkTj(FgwJzqk fgwJzqk);

    /**
     * 新增发改委_进展情况
     * 
     * @param fgwJzqk 发改委_进展情况
     * @return 结果
     */
    public int insertFgwJzqk(FgwJzqk fgwJzqk);

    /**
     * 修改发改委_进展情况
     * 
     * @param fgwJzqk 发改委_进展情况
     * @return 结果
     */
    public int updateFgwJzqk(FgwJzqk fgwJzqk);

    /**
     * 删除发改委_进展情况
     * 
     * @param id 发改委_进展情况主键
     * @return 结果
     */
    public int deleteFgwJzqkById(Long id);

    /**
     * 批量删除发改委_进展情况
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFgwJzqkByIds(Long[] ids);
}
